Loading...
Searching...
No Matches
fastjet::RestFrameNSubjettinessTagger Class Reference
FastJet tools » Taggers

Class that helps perform 2-pronged boosted tagging using a reclustering in the jet's rest frame, supplemented with a cut on N-subjettiness (and a decay angle), as discussed by Ji-Hun Kim in arXiv:1011.1493. More...

`#include <fastjet/tools/RestFrameNSubjettinessTagger.hh>`

Inheritance diagram for fastjet::RestFrameNSubjettinessTagger:
[legend]
Collaboration diagram for fastjet::RestFrameNSubjettinessTagger:
[legend]

## Public Types

typedef RestFrameNSubjettinessTaggerStructure | StructureType
| the type of Structure returned
Public Types inherited from fastjet::Transformer
typedef PseudoJetStructureBase | StructureType
| A typedef that is needed to ensure that the PseudoJet::structure_of() template function works.

## Public Member Functions

| RestFrameNSubjettinessTagger (const JetDefinition subjet_def, const double tau2cut=0.08, const double costhetascut=0.8, const bool use_exclusive=false)
| ctor with arguments (see the class description above)
virtual std::string | description () const
| returns a textual description of the tagger
virtual PseudoJet | result (const PseudoJet &jet) const
| runs the tagger on the given jet and returns the tagged PseudoJet if successful, a PseudoJet==0 otherwise (standard access is through operator()).
Public Member Functions inherited from fastjet::Transformer
| Transformer ()
| default ctor
virtual | ~Transformer ()
| default dtor
Public Member Functions inherited from fastjet::FunctionOfPseudoJet< PseudoJet >
| FunctionOfPseudoJet ()
| default ctor
virtual | ~FunctionOfPseudoJet ()
| default dtor (virtual to allow safe polymorphism)
PseudoJet | operator() (const PseudoJet &pj) const
| apply the function using the "traditional" () operator.

## Protected Attributes

JetDefinition | _subjet_def
double | _t2cut
double | _costscut
bool | _use_exclusive

## Detailed Description

Class that helps perform 2-pronged boosted tagging using a reclustering in the jet's rest frame, supplemented with a cut on N-subjettiness (and a decay angle), as discussed by Ji-Hun Kim in arXiv:1011.1493.

To tag a fat jet, the tagger proceeds as follows:

- boost its constituents into the rest frame of the jet
- recluster them using another jet definition (the original choice was SISCone in spherical coordinates with R=0.6 and f=0.75.
- keep the 2 most energetic subjets ( ) and compute the 2-subjettiness

  where the sum runs over the constituents of the jet.
- require [0.08 by default]
- impose that (in the rest frame of the fat jet), the angles between the 2 most energetic subjets and the boost axis are both large enough: [0.8 by default]

Note that in the original version, the jets to be tagged were reconstructed using SISCone with R=0.8 and f=0.75. Also, b-tagging was imposed on the 2 subjets found in the rest-frame tagging procedure.

# Options

The constructor has the following arguments:

- The first argument is the jet definition to be used to recluster the constituents of the jet to be filtered (in the rest frame of the tagged jet).
- The second argument is the cut on tau_2 [0.08 by default]
- The 3rd argument is the cut on cos(theta_s) [0.8 by default]
- If the 4th argument is true, 2 exclusive rest-frame jets will be considered in place of the 2 most energetic inclusive jets

# Input conditions

- the original jet must have constituents

# Output/structure

- the 2 subjets are kept as pieces if some substructure is found, otherwise a single 0-momentum piece
- the tau2 and maximal cos(theta_s) values computed during the tagging can be obtained via the resulting jet's structure_of<...>() function

Definition at line 101 of file RestFrameNSubjettinessTagger.hh.

## Member Typedef Documentation

## StructureType

typedef RestFrameNSubjettinessTaggerStructure fastjet::RestFrameNSubjettinessTagger::StructureType

the type of Structure returned

Definition at line 120 of file RestFrameNSubjettinessTagger.hh.

## Constructor & Destructor Documentation

## RestFrameNSubjettinessTagger()

fastjet::RestFrameNSubjettinessTagger::RestFrameNSubjettinessTagger | ( | const JetDefinition | subjet_def,
|  | const double | tau2cut = 0.08,
|  | const double | costhetascut = 0.8,
|  | const bool | use_exclusive = false )

inline

ctor with arguments (see the class description above)

Definition at line 104 of file RestFrameNSubjettinessTagger.hh.

## Member Function Documentation

## description()

string fastjet::RestFrameNSubjettinessTagger::description | ( |  | ) | const

virtual

returns a textual description of the tagger

Implements fastjet::Transformer.

Definition at line 46 of file RestFrameNSubjettinessTagger.cc.

## result()

PseudoJet fastjet::RestFrameNSubjettinessTagger::result | ( | const PseudoJet & | jet | ) | const

virtual

runs the tagger on the given jet and returns the tagged PseudoJet if successful, a PseudoJet==0 otherwise (standard access is through operator()).

impose the cut on cos(theta_s)

Implements fastjet::Transformer.

Definition at line 59 of file RestFrameNSubjettinessTagger.cc.

## Member Data Documentation

## _subjet_def

JetDefinition fastjet::RestFrameNSubjettinessTagger::_subjet_def

protected

Definition at line 123 of file RestFrameNSubjettinessTagger.hh.

## _t2cut

double fastjet::RestFrameNSubjettinessTagger::_t2cut

protected

Definition at line 124 of file RestFrameNSubjettinessTagger.hh.

## _costscut

double fastjet::RestFrameNSubjettinessTagger::_costscut

protected

Definition at line 124 of file RestFrameNSubjettinessTagger.hh.

## _use_exclusive

bool fastjet::RestFrameNSubjettinessTagger::_use_exclusive

protected

Definition at line 125 of file RestFrameNSubjettinessTagger.hh.

The documentation for this class was generated from the following files:

- tools/fastjet/tools/RestFrameNSubjettinessTagger.hh
- tools/RestFrameNSubjettinessTagger.cc